List customers
Lists the customers registered in the system
URL: GET https://api.scriptix.io/api/v3/reseller/customer/
Request headers
The following headers need to be present
| Parameter | Value | Description |
|---|---|---|
| x-zoom-s2t-key | Scriptix Reseller API Token | API key of type Reseller needed for authorization |
Request query parameters
| Argument | Type | Description |
|---|---|---|
| direction | Enum[string]: "asc","desc" |
Default: "(Optional) Sorting direction |
| filter | string |
(Optional) Filters requested data. Default format key=value, can be provided multiple times. In that case the filters work combined as an AND. Example: field=value |
| limit | integer >= 1 <= 1000 |
Default: 10(Optional) Limit the number of objects to return |
| offset | integer >= 0 |
Default: 0Sets the offset of all items to return. Mostly combined with limit |
| sort | string |
(Optional) Sorting field, must be a key provided in the output objects |
Responses
| Status code | Description |
|---|---|
| 200 | List of customers |
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
| 500 | Server Error |
HTTP 200 OK
Content-type: application/json
Response: APIResultResponse<ResellerCustomer[]>
JSON Response
{
"result": [
{
"id": 1,
"name": "Acme Inc.",
"email": "[email protected]",
"phone": "+31 012 345678",
"is_active": true,
"registration_date": "2021-01-25T10:31:46.960411+00:00",
"last_modified": "2021-01-25T10:31:46.960411+00:00"
}
],
"count": 1,
"total_results": 5
}